Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface ICommonBaseEvent

All Superinterfaces:
  org.eclipse.hyades.logging.core.ICommonBaseEvent

All Known Implementing Classes:
  CommonBaseEventImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface ICommonBaseEvent
extends org.eclipse.hyades.logging.core.ICommonBaseEvent

This is the interface that embodies the Common Base Event as described in "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1".

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite

Field Summary
`static short` | `PRIORITY_HIGH` Deprecated. Indicative of an important event that requires attention.
`static short` | `PRIORITY_LOW` Deprecated. Indicative of an event that does not need to be processed immediately.
`static short` | `PRIORITY_MEDIUM` Deprecated. Indicative of an event of average importance.
`static short` | `SEVERITY_CRITICAL` Deprecated. Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result).
`static short` | `SEVERITY_FATAL` Deprecated. Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action.
`static short` | `SEVERITY_HARMLESS` Deprecated. Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource.
`static short` | `SEVERITY_INFORMATION` Deprecated. Information SHOULD be used for cases when the event only contains general information and is not reporting an error.
`static short` | `SEVERITY_MINOR` Deprecated. Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time.
`static short` | `SEVERITY_UNKNOWN` Deprecated. Information SHOULD be used for cases when the event only contains general information and is not reporting an error.
`static short` | `SEVERITY_WARNING` Deprecated. Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event.
`static java.lang.String` | `VERSION_1_0` Deprecated. Public static string version representation of the v1.0 Common Base Event implementation.
`static java.lang.String` | `VERSION_1_0_1` Deprecated. Public static string version representation of the v1.0.1 Common Base Event implementation.

Method Summary
`void` | `addAnyElement(ICommonBaseEventAnyElement element)` Deprecated. Add an any element that this event is referencing.
`void` | `addAssociatedEvent(IAssociatedEvent event)` Deprecated. This property allows for the grouping of events.
`IAssociatedEvent` | `addAssociatedEvent(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId, java.lang.String[] resolvedEvents)` Deprecated. This property allows for the grouping of events.
`void` | `addContextDataElement(IContextDataElement element)` Deprecated. Add a context that this event is referencing.
`IContextDataElement` | `addContextDataElementWithId(java.lang.String contextType, java.lang.String contextName, java.lang.String contextId)` Deprecated. Add a context that this event is referencing.
`IContextDataElement` | `addContextDataElementWithValue(java.lang.String contextType, java.lang.String contextName, java.lang.String contextValue)` Deprecated. Add a context that this event is referencing.
`void` | `addExtendedDataElement(IExtendedDataElement element)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithBooleanArrayValue(java.lang.String name, boolean[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithBooleanValue(java.lang.String name, boolean value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithByteArrayValue(java.lang.String name, byte[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithByteValue(java.lang.String name, byte value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateAsLongValue(java.lang.String name, long value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDatesAsLongValue(java.lang.String name, long[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateValue(java.lang.String name, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDoubleArrayValue(java.lang.String name, double[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDoubleValue(java.lang.String name, double value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithFloatArrayValue(java.lang.String name, float[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithFloatValue(java.lang.String name, float value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, byte[] hexValue)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, java.lang.String hexValue)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithIntArrayValue(java.lang.String name, int[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithIntValue(java.lang.String name, int value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithLongArrayValue(java.lang.String name, long[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithLongValue(java.lang.String name, long value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithShortArrayValue(java.lang.String name, short[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithShortValue(java.lang.String name, short value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`void` | `clearAnyElements()` Deprecated. Removes all ICommonBaseEventAnyElements that this event is referencing
`void` | `clearAssociatedEvents()` Deprecated. Removes all IAssociatedEvents that this event is referencing
`void` | `clearContextDataElements()` Deprecated. Removes all IContextDataElements that this event is referencing
`void` | `clearExtendedDataElements()` Deprecated. Removes all IExtenedDataElements that this event is referencing
`ICommonBaseEventAnyElement` | `getAnyElement(java.lang.String name)` Deprecated. Get a named a any element that this event is referencing.
`java.util.List` | `getAnyElements()` Deprecated. Returns the ICommonBaseEventAnyElements An array of any elements that this event is referencing.
`java.util.List` | `getAssociatedEvents()` Deprecated. Returns the Associated events.
`java.lang.String` | `getCommonBaseEventImplVersion()` Deprecated. Use getVersion() as of 1.0.1.
`IContextDataElement` | `getContextDataElement(java.lang.String name)` Deprecated. Get a named a context that this event is referencing.
`java.util.List` | `getContextDataElements()` Deprecated. Returns the ContextDataElements An array of contexts that this event is referencing.
`java.lang.String` | `getCreationTime()` Deprecated. Returns the creationTime.
`long` | `getCreationTimeAsLong()` Deprecated. Returns the creationTime as a long holding the milliseconds since Jan 1, 1970.
`long` | `getElapsedTime()` Deprecated. Returns the elapsedTime.
`java.lang.String` | `getEventSchemaVersion()` Deprecated. Use getVersion() as of 1.0.1.
`IExtendedDataElement` | `getExtendedDataElement(java.lang.String name)` Deprecated. Get a named extended data element that this event is referencing
`java.util.List` | `getExtendedDataElements()` Deprecated. Returns the ExtendedDataElements associated with this event.
`java.lang.String` | `getExtensionName()` Deprecated. Returns the extensionName.
`java.lang.String` | `getGlobalInstanceId()` Deprecated. Returns the gloablInstanceId.
`java.lang.String` | `getLocalInstanceId()` Deprecated. Returns the localInstanceId.
`java.lang.String` | `getMsg()` Deprecated. Returns the msg.
`IMsgDataElement` | `getMsgDataElement()` Deprecated. Returns the msgDataElement.
`java.lang.String[]` | `getOtherData()` Deprecated. Returns the otherData.
`short` | `getPriority()` Deprecated. Returns the priority.
`short` | `getRepeatCount()` Deprecated. Returns the repeatCount.
`IComponentIdentification` | `getReporterComponentId()` Deprecated. Returns the reporterComponentId.
`long` | `getSequenceNumber()` Deprecated. Returns the sequenceNumber.
`short` | `getSeverity()` Deprecated. Returns the severity.
`ISituation` | `getSituation()` Deprecated. Returns the situation.
`java.lang.String` | `getSituationType()` Deprecated. Use the ISituation as of 1.0.1.
`IComponentIdentification` | `getSourceComponentId()` Deprecated. Returns the sourceComponentId.
`java.lang.String` | `getVersion()` Deprecated. Returns the Common Base Event implementation version.
`java.util.List` | `getVersions()` Deprecated. Returns the list of supported Common Base Event implementation version(s).
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`boolean` | `isSetCreationTime()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetElapsedTime()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetPriority()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetRepeatCount()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetSequenceNumber()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetSeverity()` Deprecated. Checks if the specified property is set.
`void` | `removeAnyElement(java.lang.String name)` Deprecated. Removes a named a any element that this event is referencing.
`void` | `removeContextDataElement(java.lang.String name)` Deprecated. Removes a named a context that this event is referencing.
`void` | `removeExtendedDataElement(java.lang.String name)` Deprecated. Remove a named extended data element that this event is referencing
`void` | `setCreationTime(long creationTime)` Deprecated. Sets the creationTime to a long that contains the milliseconds since Jan 1, 1970.
`void` | `setCreationTime(java.lang.String creationTime)` Deprecated. Sets the creationTime.
`void` | `setElapsedTime(long elapsedTime)` Deprecated. Sets the elapsedTime.
`void` | `setExtensionName(java.lang.String extensionName)` Deprecated. Sets the extensionName.
`void` | `setGlobalInstanceId(java.lang.String globalInstanceId)` Deprecated. Sets the gloablInstanceId.
`void` | `setLocalInstanceId(java.lang.String localInstanceId)` Deprecated. Sets the localInstanceId.
`void` | `setMsg(java.lang.String msg)` Deprecated. Sets the msg.
`void` | `setMsgDataElement(IMsgDataElement msgDataElement)` Deprecated. Sets the msgDataElement.
`IMsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, IMsgCatalogToken[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Deprecated. Sets the msgDataElement.
`IMsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, java.lang.String[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Deprecated. Sets the msgDataElement.
`void` | `setOtherData(java.lang.String[] otherData)` Deprecated. Sets the otherData.
`void` | `setPreferredVersion(java.lang.String preferredVersion)` Deprecated. Sets the preferredVersion.
`void` | `setPriority(short priority)` Deprecated. Sets the priority.
`void` | `setRepeatCount(short repeatCount)` Deprecated. Sets the repeatCount.
`void` | `setReporterComponentId(IComponentIdentification reporterComponentId)` Deprecated. Sets the reporterComponentId.
`IComponentIdentification` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Deprecated. Sets the reporterComponentId.
`IComponentIdentification` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Deprecated. Sets the reporterComponentId.
`void` | `setSequenceNumber(long sequenceNumber)` Deprecated. Sets the sequenceNumber.
`void` | `setSeverity(short severity)` Deprecated. Sets the severity.
`void` | `setSituation(ISituation situation)` Deprecated. Sets the situation.
`void` | `setSituationType(java.lang.String situationType)` Deprecated. Use the ISituation as of 1.0.1.
`void` | `setSourceComponentId(IComponentIdentification sourceComponentId)` Deprecated. Sets the sourceComponentId.
`IComponentIdentification` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Deprecated. Sets the sourceComponentId.
`IComponentIdentification` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Deprecated. Sets the sourceComponentId.
`void` | `unsetCreationTime()` Deprecated. Unsets the specified property is set.
`void` | `unsetElapsedTime()` Deprecated. Unsets the specified property is set.
`void` | `unsetPriority()` Deprecated. Unsets the specified property is set.
`void` | `unsetRepeatCount()` Deprecated. Unsets the specified property is set.
`void` | `unsetSequenceNumber()` Deprecated. Unsets the specified property is set.
`void` | `unsetSeverity()` Deprecated. Unsets the specified property is set.

Field Detail

### VERSION_1_0

    public static final java.lang.String VERSION_1_0

  Deprecated.
  Public static string version representation of the v1.0 Common Base Event implementation.

  See Also:
    Constant Field Values

### VERSION_1_0_1

    public static final java.lang.String VERSION_1_0_1

  Deprecated.
  Public static string version representation of the v1.0.1 Common Base Event implementation.

  See Also:
    Constant Field Values

### PRIORITY_LOW

    public static final short PRIORITY_LOW

  Deprecated.
  Indicative of an event that does not need to be processed immediately.

  See Also:
    `getPriority()`, Constant Field Values

### PRIORITY_MEDIUM

    public static final short PRIORITY_MEDIUM

  Deprecated.
  Indicative of an event of average importance.

  See Also:
    `getPriority()`, Constant Field Values

### PRIORITY_HIGH

    public static final short PRIORITY_HIGH

  Deprecated.
  Indicative of an important event that requires attention.

  See Also:
    `getPriority()`, Constant Field Values

### SEVERITY_UNKNOWN

    public static final short SEVERITY_UNKNOWN

  Deprecated.
  Information SHOULD be used for cases when the event only contains general information and is not reporting an error.

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_INFORMATION

    public static final short SEVERITY_INFORMATION

  Deprecated.
  Information SHOULD be used for cases when the event only contains general information and is not reporting an error.

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_HARMLESS

    public static final short SEVERITY_HARMLESS

  Deprecated.
  Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource.

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_WARNING

    public static final short SEVERITY_WARNING

  Deprecated.
  Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event.

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_MINOR

    public static final short SEVERITY_MINOR

  Deprecated.
  Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time.

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_CRITICAL

    public static final short SEVERITY_CRITICAL

  Deprecated.
  Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result).

  See Also:
    `getSeverity()`, Constant Field Values

### SEVERITY_FATAL

    public static final short SEVERITY_FATAL

  Deprecated.
  Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action.

  See Also:
    `getSeverity()`, Constant Field Values

Method Detail

### addContextDataElement

    public void addContextDataElement(IContextDataElement element)

  Deprecated.
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

### addExtendedDataElement

    public void addExtendedDataElement(IExtendedDataElement element)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addAssociatedEvent

    public void addAssociatedEvent(IAssociatedEvent event)

  Deprecated.
  This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

### getContextDataElements

    public java.util.List getContextDataElements()

  Deprecated.
  Returns the ContextDataElements An array of contexts that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

  Returns:
    List of Context Data Elements, otherwise an empty list.

### getExtendedDataElements

    public java.util.List getExtendedDataElements()

  Deprecated.
  Returns the ExtendedDataElements associated with this event. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Returns:
    List of Extended Data Elements, otherwise an empty list.

### getAssociatedEvents

    public java.util.List getAssociatedEvents()

  Deprecated.
  Returns the Associated events. This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

  Returns:
    List of Associated Events, otherwise an empty list.

### getContextDataElement

    public IContextDataElement getContextDataElement(java.lang.String name)

  Deprecated.
  Get a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Parameters:
    `name` - the name of the element to be found
  Returns:
    IContextDataElement if the named element exists otherwise null is returned

### getExtendedDataElement

    public IExtendedDataElement getExtendedDataElement(java.lang.String name)

  Deprecated.
  Get a named extended data element that this event is referencing

  Parameters:
    `name` - the name of the element to be found
  Returns:
    IExtendedDataElement if the named element exists otherwise null is returned

### removeContextDataElement

    public void removeContextDataElement(java.lang.String name)

  Deprecated.
  Removes a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Parameters:
    `name` - the name of the element to be removed

### removeExtendedDataElement

    public void removeExtendedDataElement(java.lang.String name)

  Deprecated.
  Remove a named extended data element that this event is referencing

  Parameters:
    `name` - the name of the element to be removed

### clearAssociatedEvents

    public void clearAssociatedEvents()

  Deprecated.
  Removes all IAssociatedEvents that this event is referencing

### clearContextDataElements

    public void clearContextDataElements()

  Deprecated.
  Removes all IContextDataElements that this event is referencing

### clearExtendedDataElements

    public void clearExtendedDataElements()

  Deprecated.
  Removes all IExtenedDataElements that this event is referencing

### addAnyElement

    public void addAnyElement(ICommonBaseEventAnyElement element)

  Deprecated.
  Add an any element that this event is referencing. This is an OPTIONAL property.

  Since:
    1.0

### getAnyElement

    public ICommonBaseEventAnyElement getAnyElement(java.lang.String name)

  Deprecated.
  Get a named a any element that this event is referencing.

  Parameters:
    `name` - the name of the element to be found
  Returns:
    ICommonBaseEventAnyElement if the named element exists otherwise null is returned
  Since:
    1.0

### getAnyElements

    public java.util.List getAnyElements()

  Deprecated.
  Returns the ICommonBaseEventAnyElements An array of any elements that this event is referencing. This is an OPTIONAL property.

  Returns:
    List of Any Elements, otherwise an empty list.
  Since:
    1.0

### removeAnyElement

    public void removeAnyElement(java.lang.String name)

  Deprecated.
  Removes a named a any element that this event is referencing.

  Parameters:
    `name` - the name of the element to be removed
  Since:
    1.0

### clearAnyElements

    public void clearAnyElements()

  Deprecated.
  Removes all ICommonBaseEventAnyElements that this event is referencing

  Since:
    1.0

### getCreationTime

    public java.lang.String getCreationTime()

  Deprecated.
  Returns the creationTime. The date-time when the event was issued. The value MUST be as defined by the XML Schema dateTime data type. The value of the creationTime MUST provide granularity as precisely as the generating platform allows. This is a REQUIRED property.

  Returns:
    String

### getCreationTimeAsLong

    public long getCreationTimeAsLong()

  Deprecated.
  Returns the creationTime as a long holding the milliseconds since Jan 1, 1970.

  Returns:
    long

### getElapsedTime

    public long getElapsedTime()

  Deprecated.
  Returns the elapsedTime. This is the time interval or the elapsed time for the number of occurrences of a given event type that is specified by the repeatCount property. This value indicates the duration of the time within which the repeated events were observed. This is an OPTIONAL property. However, if repeatCount is specified you MUST specify a value for elapsedTime. The default value is 0, which is a valid value for this property. For this reason the '`isSetElapsedTime()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    long

### getExtensionName

    public java.lang.String getExtensionName()

  Deprecated.
  Returns the extensionName. The name of an event class (or element in XML) that this event represents (e.g., CommonBaseEventImpl). The name is indicative of any additional elements expected to be present within the event. This is a OPTIONAL property. If the value specified is null, then its value is assumed to be 'CommonBaseEventImpl'. The maximum string length for extensionName MUST not exceed 64 bytes.

  Returns:
    String

### getGlobalInstanceId

    public java.lang.String getGlobalInstanceId()

  Deprecated.
  Returns the gloablInstanceId. The primary identifier for the event. This property MUST be globally unique and MAY be used as the primary key for the event. This is an OPTIONAL property. However, once this value is set it MUST never be changed. The recommend value is either a 128 bit or 256 bit Globally Unique Id (represented as hex string).

  Returns:
    String

### getLocalInstanceId

    public java.lang.String getLocalInstanceId()

  Deprecated.
  Returns the localInstanceId. A source supplied event identifier. There is no guarantee that this value is globally unique. This is an OPTIONAL property. The maximum string length for localInstanceId MUST not exceed 64 bytes.

  Returns:
    String

### getMsg

    public java.lang.String getMsg()

  Deprecated.
  Returns the msg. he text accompanying the event. This is typically the resolved message string in human readable format rendered for a specific locale. This is an OPTIONAL property. The maximum string length for msg MUST not exceed 3072 bytes.

  Returns:
    String

### getPriority

    public short getPriority()

  Deprecated.
  Returns the priority. Defines the importance of the event. The predefined priorities are: 1. Low 2. Medium 3. High The values are 0 to 100. The reserved value for Low is 10, for Medium is 50, and for High is 70. Other priorities MAY be added but MUST not exceed 100. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSetPriority()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    short

### getRepeatCount

    public short getRepeatCount()

  Deprecated.
  Returns the repeatCount. The number of occurrences of a given event for a specific time interval. This is an OPTIONAL property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. For this reason the '`isSetRepeatCount()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    short

### getSequenceNumber

    public long getSequenceNumber()

  Deprecated.
  Returns the sequenceNumber. A source defined number that allows for multiple messages to be sent and processed in logical order different from the order in which they arrived at consumer location (e.g., an event server or management tools). The sequence number helps consumers to sort arrived messages. This is with respect to the creation time and to the particular reporter of the messages. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSequenceNumber()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    long

### getSeverity

    public short getSeverity()

  Deprecated.
  Returns the severity. The severity of the status the event is describing with respect to the application that reports the event. The predefined severity levels, in order of increasing severity, are as follows: 1. Unknown 2. Information SHOULD be used for cases when the event only contains general information and is not reporting an error. 3. Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource. 4. Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event. 5. Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time. 6. Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result). 7. Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action. The values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities MAY be added but MUST not exceed 70. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSetSeverity()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    short

### getSituationType

    public java.lang.String getSituationType()

  Deprecated. Use the ISituation as of 1.0.1.

  Returns the situationType. The situationType specifies the type of the situation that caused the event to be reported. This is an extensible string value. Proposed reserved keywords are: 1. START 2. STOP 3. FEATURE 4. DEPENDENCY 5. REQUEST 6. CONFIGURE 7. CONNECT 8. CREATE 9. UNKNOWN This is an OPTIONAL property. The maximum string length for situationType MUST not exceed 64 bytes. NOTE: The situations type is being defined in parallel to the CommonBaseEventImpl effort in a separate document, Canonical Situations ' ACAB.CT0304.0.1. ' The type and the values of situationType are subject to change.

  Returns:
    String The returned situationType.
  Since:
    1.0

### getSourceComponentId

    public IComponentIdentification getSourceComponentId()

  Deprecated.
  Returns the sourceComponentId. Identification of the component that is 'affected' or was 'impacted' by the event or the situation. This is a REQUIRED property for the component that is affected by the situation.

  Returns:
    ComponentIdentificationImpl

### getMsgDataElement

    public IMsgDataElement getMsgDataElement()

  Deprecated.
  Returns the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Returns:
    MsgDataElementImpl

### getReporterComponentId

    public IComponentIdentification getReporterComponentId()

  Deprecated.
  Returns the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Returns:
    ComponentIdentificationImpl

### getSituation

    public ISituation getSituation()

  Deprecated.
  Returns the situation. The situation specifies the type of the situation that caused the event to be reported. This is an REQUIRED property.

  Returns:
    String The returned situation.
  Since:
    1.0.1

### getOtherData

    public java.lang.String[] getOtherData()

  Deprecated.
  Returns the otherData.

  Since:
    1.0.1

### getCommonBaseEventImplVersion

    public java.lang.String getCommonBaseEventImplVersion()

  Deprecated. Use getVersion() as of 1.0.1.

  Returns the Common Base Event implementation version. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Returns:
    String The version of the Common Base Event implementation.
  See Also:
    `VERSION_1_0`, `VERSION_1_0_1`

### getVersion

    public java.lang.String getVersion()

  Deprecated.
  Returns the Common Base Event implementation version. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Returns:
    String The version of the Common Base Event implementation.
  See Also:
    `VERSION_1_0`, `VERSION_1_0_1`

### getEventSchemaVersion

    public java.lang.String getEventSchemaVersion()

  Deprecated. Use getVersion() as of 1.0.1.

  Returns the Common Base Event XML schema version.

  Returns:
    String The version of the Common Base Event XML schema.
  See Also:
    `VERSION_1_0`, `VERSION_1_0_1`

### getVersions

    public java.util.List getVersions()

  Deprecated.
  Returns the list of supported Common Base Event implementation version(s). The list of supported Common Base Event implementation version(s) are all the current and previous supported version(s) of the Common Base Event implementation. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Returns:
    List The returned list of supported Common Base Event implementation version(s).
  Since:
    1.0.1
  See Also:
    `VERSION_1_0`, `VERSION_1_0_1`

### setCreationTime

    public void setCreationTime(java.lang.String creationTime)

  Deprecated.
  Sets the creationTime. The date-time when the event was issued. The value MUST be as defined by the XML Schema dateTime data type. The value of the creationTime MUST provide granularity as precisely as the generating platform allows. This is a REQUIRED property.

  Parameters:
    `creationTime` - The creationTime to set

### setCreationTime

    public void setCreationTime(long creationTime)

  Deprecated.
  Sets the creationTime to a long that contains the milliseconds since Jan 1, 1970.

  Parameters:
    `creationTime` - The creationTime to set

### setElapsedTime

    public void setElapsedTime(long elapsedTime)

  Deprecated.
  Sets the elapsedTime. This is the time interval or the elapsed time for the number of occurrences of a given event type that is specified by the repeatCount property. This value indicates the duration of the time within which the repeated events were observed. This is an OPTIONAL property. However, if repeatCount is specified you MUST specify a value for elapsedTime. The default value is 0, which is a valid value for this property. Use the '`isSetElapsedTime()`' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `elapsedTime` - The elapsedTime to set

### setExtensionName

    public void setExtensionName(java.lang.String extensionName)

  Deprecated.
  Sets the extensionName. The name of an event class (or element in XML) that this event represents (e.g., CommonBaseEventImpl). The name is indicative of any additional elements expected to be present within the event. This is a OPTIONAL property. If the value specified is null, then its value is assumed to be 'CommonBaseEventImpl'. The maximum string length for extensionName MUST not exceed 64 bytes.

  Parameters:
    `extensionName` - The extensionName to set

### setGlobalInstanceId

    public void setGlobalInstanceId(java.lang.String globalInstanceId)

  Deprecated.
  Sets the gloablInstanceId. The primary identifier for the event. This property MUST be globally unique and MAY be used as the primary key for the event. This is an OPTIONAL property. However, once this value is set it MUST never be changed. The recommend value is either a 128 bit or 256 bit Globally Unique Id (represented as hex string).

### setLocalInstanceId

    public void setLocalInstanceId(java.lang.String localInstanceId)

  Deprecated.
  Sets the localInstanceId. A source supplied event identifier. There is no guarantee that this value is globally unique. This is an OPTIONAL property. The maximum string length for localInstanceId MUST not exceed 64 bytes.

  Parameters:
    `localInstanceId` - The localInstanceId to set

### setMsg

    public void setMsg(java.lang.String msg)

  Deprecated.
  Sets the msg. The text accompanying the event. This is typically the resolved message string in human readable format rendered for a specific locale. This is an OPTIONAL property. The maximum string length for msg MUST not exceed 3072 bytes.

  Parameters:
    `msg` - The msg to set

### setPriority

    public void setPriority(short priority)

  Deprecated.
  Sets the priority. Defines the importance of the event. The predefined priorities are: 1. Low 2. Medium 3. High The values are 0 to 100. The reserved value for Low is 10, for Medium is 50, and for High is 70. Other priorities MAY be added but MUST not exceed 100. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetPriority()`' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `priority` - The priority to set

### setRepeatCount

    public void setRepeatCount(short repeatCount)

  Deprecated.
  Sets the repeatCount. The number of occurrences of a given event for a specific time interval. This is an OPTIONAL property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. Use the '`isSetRepeatCount()`' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `repeatCount` - The repeatCount to set

### setSequenceNumber

    public void setSequenceNumber(long sequenceNumber)

  Deprecated.
  Sets the sequenceNumber. A source defined number that allows for multiple messages to be sent and processed in logical order different from the order in which they arrived at consumer location (e.g., an event server or management tools). The sequence number helps consumers to sort arrived messages. This is with respect to the creation time and to the particular reporter of the messages. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetSequenceNumber()`' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `sequenceNumber` - The sequenceNumber to set

### setSeverity

    public void setSeverity(short severity)

  Deprecated.
  Sets the severity. The severity of the status the event is describing with respect to the application that reports the event. The predefined severity levels, in order of increasing severity, are as follows: 1. Unknown 2. Information SHOULD be used for cases when the event only contains general information and is not reporting an error. 3. Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource. 4. Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event. 5. Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time. 6. Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result). 7. Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action. The values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities MAY be added but MUST not exceed 70. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetSeverity()`' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `severity` - The severity to set

### setSituationType

    public void setSituationType(java.lang.String situationType)

  Deprecated. Use the ISituation as of 1.0.1.

  Sets the situationType. The situationType specifies the type of the situation that caused the event to be reported. This is an extensible string value. Proposed reserved keywords are: 1. START 2. STOP 3. FEATURE 4. DEPENDENCY 5. REQUEST 6. CONFIGURE 7. CONNECT 8. CREATE 9. UNKNOWN This is an OPTIONAL property. The maximum string length for situationType MUST not exceed 64 bytes. NOTE: The situations type is being defined in parallel to the CommonBaseEventImpl effort in a separate document, Canonical Situations ' ACAB.CT0304.0.1. ' The type and the values of situationType are subject to change.

  Parameters:
    `situationType` - The situationType to set
  Since:
    1.0

### setSourceComponentId

    public void setSourceComponentId(IComponentIdentification sourceComponentId)

  Deprecated.
  Sets the sourceComponentId. Identification of the component that is 'affected' or was 'impacted' by the event or the situation. This is a REQUIRED property for the component that is affected by the situation.

  Parameters:
    `sourceComponentId` - The sourceComponentId to set

### setMsgDataElement

    public void setMsgDataElement(IMsgDataElement msgDataElement)

  Deprecated.
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Parameters:
    `msgDataElement` - The msgDataElement to set

### setReporterComponentId

    public void setReporterComponentId(IComponentIdentification reporterComponentId)

  Deprecated.
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Parameters:
    `reporterComponentId` - The reporterComponentId to set

### setSituation

    public void setSituation(ISituation situation)

  Deprecated.
  Sets the situation. The situation specifies the type of the situation that caused the event to be reported. This is an REQUIRED property.

  Parameters:
    `situation` - The situation to be set.
  Since:
    1.0.1

### setOtherData

    public void setOtherData(java.lang.String[] otherData)

  Deprecated.
  Sets the otherData.

  Since:
    1.0.1

### setPreferredVersion

    public void setPreferredVersion(java.lang.String preferredVersion)
                             throws UnsupportedVersionException

  Deprecated.
  Sets the preferredVersion. The preferred version of the Common Base Event implementation as desired by the user. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Parameters:
    `preferredVersion` - The preferredVersion to be set.
  Throws:
    `UnsupportedVersionException` - The preferredVersion is not a valid version.
  Since:
    1.0.1
  See Also:
    `VERSION_1_0`, `VERSION_1_0_1`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state. Initialize a CommonBaseEvent so that it has a new guid and that all the following relationships have been cleared: 1. IAssociatiatedEvent(s) 2. IExtendeddataElement(s) 3. IContextDataElement(s) All components are initialized to either zero or null

  Since:
    1.0

### addAssociatedEvent

    public IAssociatedEvent addAssociatedEvent(java.lang.String associationEngineName,
                                               java.lang.String associationEngineType,
                                               java.lang.String associationEngineId,
                                               java.lang.String[] resolvedEvents)

  Deprecated.
  This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

### addContextDataElementWithId

    public IContextDataElement addContextDataElementWithId(java.lang.String contextType,
                                                           java.lang.String contextName,
                                                           java.lang.String contextId)

  Deprecated.
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

### addContextDataElementWithValue

    public IContextDataElement addContextDataElementWithValue(java.lang.String contextType,
                                                              java.lang.String contextName,
                                                              java.lang.String contextValue)

  Deprecated.
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       int type,
                                                       java.lang.String value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       int type,
                                                       java.lang.String[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       java.lang.String value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       java.lang.String[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithByteArrayValue

    public IExtendedDataElement addExtendedDataElementWithByteArrayValue(java.lang.String name,
                                                                         byte[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithByteValue

    public IExtendedDataElement addExtendedDataElementWithByteValue(java.lang.String name,
                                                                    byte value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithBooleanArrayValue

    public IExtendedDataElement addExtendedDataElementWithBooleanArrayValue(java.lang.String name,
                                                                            boolean[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithBooleanValue

    public IExtendedDataElement addExtendedDataElementWithBooleanValue(java.lang.String name,
                                                                       boolean value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDateArrayValue

    public IExtendedDataElement addExtendedDataElementWithDateArrayValue(java.lang.String name,
                                                                         java.lang.String[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDateAsLongValue

    public IExtendedDataElement addExtendedDataElementWithDateAsLongValue(java.lang.String name,
                                                                          long value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDatesAsLongValue

    public IExtendedDataElement addExtendedDataElementWithDatesAsLongValue(java.lang.String name,
                                                                           long[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDateValue

    public IExtendedDataElement addExtendedDataElementWithDateValue(java.lang.String name,
                                                                    java.lang.String value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDoubleArrayValue

    public IExtendedDataElement addExtendedDataElementWithDoubleArrayValue(java.lang.String name,
                                                                           double[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithDoubleValue

    public IExtendedDataElement addExtendedDataElementWithDoubleValue(java.lang.String name,
                                                                      double value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithFloatArrayValue

    public IExtendedDataElement addExtendedDataElementWithFloatArrayValue(java.lang.String name,
                                                                          float[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithFloatValue

    public IExtendedDataElement addExtendedDataElementWithFloatValue(java.lang.String name,
                                                                     float value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithHexValue

    public IExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                   byte[] hexValue)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithHexValue

    public IExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                   java.lang.String hexValue)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithIntArrayValue

    public IExtendedDataElement addExtendedDataElementWithIntArrayValue(java.lang.String name,
                                                                        int[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithIntValue

    public IExtendedDataElement addExtendedDataElementWithIntValue(java.lang.String name,
                                                                   int value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithLongArrayValue

    public IExtendedDataElement addExtendedDataElementWithLongArrayValue(java.lang.String name,
                                                                         long[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithLongValue

    public IExtendedDataElement addExtendedDataElementWithLongValue(java.lang.String name,
                                                                    long value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithShortArrayValue

    public IExtendedDataElement addExtendedDataElementWithShortArrayValue(java.lang.String name,
                                                                          short[] values)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithShortValue

    public IExtendedDataElement addExtendedDataElementWithShortValue(java.lang.String name,
                                                                     short value)

  Deprecated.
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### isSetCreationTime

    public boolean isSetCreationTime()

  Deprecated.
  Checks if the specified property is set.

### isSetElapsedTime

    public boolean isSetElapsedTime()

  Deprecated.
  Checks if the specified property is set.

### isSetPriority

    public boolean isSetPriority()

  Deprecated.
  Checks if the specified property is set.

### isSetRepeatCount

    public boolean isSetRepeatCount()

  Deprecated.
  Checks if the specified property is set.

### isSetSequenceNumber

    public boolean isSetSequenceNumber()

  Deprecated.
  Checks if the specified property is set.

### isSetSeverity

    public boolean isSetSeverity()

  Deprecated.
  Checks if the specified property is set.

### unsetCreationTime

    public void unsetCreationTime()

  Deprecated.
  Unsets the specified property is set.

### unsetElapsedTime

    public void unsetElapsedTime()

  Deprecated.
  Unsets the specified property is set.

### unsetPriority

    public void unsetPriority()

  Deprecated.
  Unsets the specified property is set.

### unsetRepeatCount

    public void unsetRepeatCount()

  Deprecated.
  Unsets the specified property is set.

### unsetSequenceNumber

    public void unsetSequenceNumber()

  Deprecated.
  Unsets the specified property is set.

### unsetSeverity

    public void unsetSeverity()

  Deprecated.
  Unsets the specified property is set.

### setMsgDataElement

    public IMsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                             java.lang.String msgCatalogId,
                                             IMsgCatalogToken[] tokens,
                                             java.lang.String msgCatalogType,
                                             java.lang.String msgId,
                                             java.lang.String msgIdType,
                                             java.lang.String msgCatalogLocale)

  Deprecated.
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

### setMsgDataElement

    public IMsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                             java.lang.String msgCatalogId,
                                             java.lang.String[] tokens,
                                             java.lang.String msgCatalogType,
                                             java.lang.String msgId,
                                             java.lang.String msgIdType,
                                             java.lang.String msgCatalogLocale)

  Deprecated.
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

### setReporterComponentId

    public IComponentIdentification setReporterComponentId(java.lang.String application,
                                                           java.lang.String component,
                                                           java.lang.String subComponent,
                                                           java.lang.String componentType,
                                                           java.lang.String componentIdType,
                                                           java.lang.String location,
                                                           java.lang.String locationType)

  Deprecated.
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

### setReporterComponentId

    public IComponentIdentification setReporterComponentId(java.lang.String application,
                                                           java.lang.String component,
                                                           java.lang.String subComponent,
                                                           java.lang.String componentType,
                                                           java.lang.String componentIdType,
                                                           java.lang.String executionEnvironment,
                                                           java.lang.String instanceId,
                                                           java.lang.String location,
                                                           java.lang.String locationType,
                                                           java.lang.String processId,
                                                           java.lang.String threadId)

  Deprecated.
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

### setSourceComponentId

    public IComponentIdentification setSourceComponentId(java.lang.String application,
                                                         java.lang.String component,
                                                         java.lang.String subComponent,
                                                         java.lang.String componentType,
                                                         java.lang.String componentIdType,
                                                         java.lang.String location,
                                                         java.lang.String locationType)

  Deprecated.
  Sets the sourceComponentId. Identification of the component that is the 'source' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

### setSourceComponentId

    public IComponentIdentification setSourceComponentId(java.lang.String application,
                                                         java.lang.String component,
                                                         java.lang.String subComponent,
                                                         java.lang.String componentType,
                                                         java.lang.String componentIdType,
                                                         java.lang.String executionEnvironment,
                                                         java.lang.String instanceId,
                                                         java.lang.String location,
                                                         java.lang.String locationType,
                                                         java.lang.String processId,
                                                         java.lang.String threadId)

  Deprecated.
  Sets the sourceComponentId. Identification of the component that is the 'source' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD